bladerf_common.h File Reference
`#include <list>`
`#include <map>`
`#include <memory>`
`#include <mutex>`
`#include <string>`
`#include <vector>`
`#include <libbladeRF.h>`
`#include "osmosdr/ranges.h"`
`#include "arg_helpers.h"`
`#include "bladerf_compat.h"`

Go to the source code of this file.

## Classes

class | bladerf_common

## Macros

#define | BLADERF_DEBUG_ENABLE
#define | BLADERF_THROW(message)
#define | BLADERF_THROW_STATUS(status, message)
#define | BLADERF_WARNING(message)
#define | BLADERF_WARN_STATUS(status, message)
#define | BLADERF_INFO(message)
#define | BLADERF_DEBUG(message)

## Typedefs

typedef std::map< bladerf_channel, bool > | bladerf_channel_enable_map
typedef std::map< bladerf_channel, int > | bladerf_channel_map

## Enumerations

enum | bladerf_board_type { BOARD_TYPE_UNKNOWN , BOARD_TYPE_NONE , BOARD_TYPE_BLADERF_1 , BOARD_TYPE_BLADERF_2 }

## Functions

size_t | num_streams (bladerf_channel_layout layout)

## Macro Definition Documentation

## BLADERF_DEBUG

#define BLADERF_DEBUG | ( |  | message | ) |

Value:
BLADERF_INFO("DEBUG: " << message)
BLADERF_INFO
#define BLADERF_INFO(message)
Definition bladerf_common.h:85

## BLADERF_DEBUG_ENABLE

#define BLADERF_DEBUG_ENABLE

## BLADERF_INFO

#define BLADERF_INFO | ( |  | message | ) |

Value:
{ \
std::cout << _pfx << __FUNCTION__ << ": " << message << std::endl; \
}

## BLADERF_THROW

#define BLADERF_THROW | ( |  | message | ) |

Value:
{ \
throw std::runtime_error(std::string(__FUNCTION__) + ": " + message); \
}

## BLADERF_THROW_STATUS

#define BLADERF_THROW_STATUS | ( |  | status,
|  |  | message )

Value:
{ \
BLADERF_THROW(boost::str(boost::format("%s: %s (%d)") % message \
% bladerf_strerror(status) % status)); \
}

## BLADERF_WARN_STATUS

#define BLADERF_WARN_STATUS | ( |  | status,
|  |  | message )

Value:
{ \
BLADERF_WARNING(message << ": " << bladerf_strerror(status)); \
} \

## BLADERF_WARNING

#define BLADERF_WARNING | ( |  | message | ) |

Value:
{ \
std::cerr << _pfx << __FUNCTION__ << ": " << message << std::endl; \
}

## Typedef Documentation

## bladerf_channel_enable_map

typedef std::map<bladerf_channel, bool> bladerf_channel_enable_map

## bladerf_channel_map

typedef std::map<bladerf_channel, int> bladerf_channel_map

## Enumeration Type Documentation

## bladerf_board_type

enum bladerf_board_type

Enumerator
BOARD_TYPE_UNKNOWN | Board type is unknown
BOARD_TYPE_NONE | Uninitialized or no board present
BOARD_TYPE_BLADERF_1 | bladeRF 1 (LMS6002D-based, 1RX/1TX)
BOARD_TYPE_BLADERF_2 | bladeRF 2 (AD9361-based, 2RX/2TX)

## Function Documentation

## num_streams()

size_t num_streams | ( | bladerf_channel_layout | layout | ) |